#coding=utf-8

"""
Module provides Eval API

"""


class HellAPI(object):
    """API Class

    Provides an API layer for the hell subsystem.
    """

    def get_hell_temperature(self):
        """Returns current hell temperature in Kelvins
        """
        return 1000.0

    def get_number_of_devils(self):
        """Returns current number of devil's population
        """
        return 66666

    def get_number_of_sinners(self):
        """Returns current number of sinners

        :return: The current number of sinners
        :rtype: int
        """
        return 4789765433

    def send_sinner_to_hell(self, sinner):
        """Sends a sinner to the hell

        Adds a sinner to the hell send queue and returns.

        :param SinnerBase sinner: Sinner instance.
        """
        print 'The sinner {} was sended to the hell. Goodbye forever!'.format(sinner)
